Name:           qlcplus
Version:        4.13.1
Release:        1%{?dist}
Summary:        Q Light Controller Plus

License:        Apache-2.0
URL:            https://www.qlcplus.org/
Source0:        https://github.com/mcallegari/qlcplus/archive/refs/tags/QLC+_%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-linguist
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(libftdi1)
#BuildRequires: pkgconfig(libola)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(sndfile)

%description
QLC+ is powerful and user-friendly software designed to control lighting.
Whether you're an experienced lighting professional or just getting started,
QLC+ empowers you to take control of your lighting fixtures with ease. The
primary goal of this project is to bring QLC+ to the level of available
commercial software.


%prep
%autosetup -n qlcplus-QLC-_%{version}

# Hack: This was not intended to be a dynamic lib:
sed -i -e '/^add_library(hotplugmonitor/,1a\    STATIC' hotplugmonitor/src/CMakeLists.txt


%build
# Hack: Fedora workaround for variables.cmake hardcoding INSTALLROOT="/usr" and LIBSDIR="lib/${CMAKE_C_LIBRARY_ARCHITECTURE}"
%cmake -DCMAKE_C_LIBRARY_ARCHITECTURE="../lib64"
%cmake_build


%install
%cmake_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop


%{?ldconfig_scriptlets}


%files
%license COPYING
%doc README.md
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/*.1.gz
%{_datadir}/metainfo/*
%{_datadir}/mime/packages/qlcplus.xml
%{_datadir}/pixmaps/*
%{_datadir}/qlcplus/
%{_libdir}/qt5/plugins/qlcplus/
%{_libdir}/*.so
%{_sysconfdir}/udev/rules.d/*.rules


%changelog
* Sat Sep 07 2024 Mads Kiilerich <mads@kiilerich.com>
- Initial package
